untyped
global function altordnances_init

string altordnances_prefix = "\x1b[91m[altordnances]\x1b[0m "
table < string, string > descriptions = {
	["mp_weapon_frag_grenade"] 				= "\x1b[96mfrag grenades\x1b[0m explode instantly for a slight speed boost. allows easy direction changes midair\x1b[0m",
	["mp_weapon_grenade_electric_smoke"] 	= "\x1b[96melectric smoke\x1b[0m deals less damage to pilots but wallhacks enemies around the smoke. great against titans\x1b[0m",
	["mp_weapon_grenade_emp"] 				= "\x1b[96marc grenades\x1b[0m deploy a holo pilot that blinds and wallhacks pilots that attack it. useful in pilot v titan combat\x1b[0m",
	["mp_weapon_grenade_gravity"] 			= "\x1b[96mgravity stars\x1b[0m create an anti gravity zone around the impact point. try using it on friendly titans\x1b[0m",
	["mp_weapon_thermite_grenade"] 			= "\x1b[96mfire stars\x1b[0mteleport the user to the impact point. traverse the map quicker with non movement tacticals\x1b[0m",
	["mp_weapon_satchel"] 					= "\x1b[96msatchels\x1b[0m plant a boost mine that stims allies and explodes enemies. weak effect on pilots but strong effect on titans\x1b[0m"
}

void function altordnances_init()
{
	AddCallback_OnPlayerRespawned( show_changes )
}

void function show_changes( entity player )
{
	Chat_ServerPrivateMessage( player, altordnances_prefix + "\x1b[0mchanged items in your loadout:\x1b[0m" , false, true )
	
	array<entity> offhands = player.GetOffhandWeapons()
	foreach ( entity weapon in offhands )
	{
		string weapon_name = weapon.GetWeaponClassName()
		if ( weapon_name in descriptions )
			Chat_ServerPrivateMessage( player,  descriptions[weapon_name], false, true )
	}
}

